# Uses of Enum Class
com.sun.source.tree.LambdaExpressionTree.BodyKind

Packages that use LambdaExpressionTree.BodyKind
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).

## Uses of LambdaExpressionTree.BodyKind in com.sun.source.tree

Methods in com.sun.source.tree that return LambdaExpressionTree.BodyKind
Modifier and Type
Method
Description
`LambdaExpressionTree.BodyKind`
LambdaExpressionTree.`getBodyKind()`
Returns the kind of the body of the lambda expression.
`static LambdaExpressionTree.BodyKind`
LambdaExpressionTree.BodyKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LambdaExpressionTree.BodyKind[]`
LambdaExpressionTree.BodyKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.